﻿<Window x:Class="ArphoxDIP.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:wf="clr-namespace:ExternalHistogram"
        xmlns:local="clr-namespace:ArphoxDIP"
        Title="Arphox DIP" Background="Bisque" Loaded="Window_Loaded" KeyDown="Window_KeyDown" MouseDown="Window_MouseDown" PreviewMouseWheel="Window_PreviewMouseWheel">
    <!-- xmlns:wf - WinForms-os Histogramhoz kell-->
    <Grid>
        <DockPanel>
            <Menu DockPanel.Dock="Top">
                <MenuItem Header="_Fájl">
                    <MenuItem Header="_Betöltés - kép" Click="MenuClick_KepBetoltes"/>
                    <MenuItem Header="_Betöltés - hisztogram" Click="MenuClick_HisztogramBetoltes" />
                    <MenuItem Header="_Mentés" Click="MenuClick_Mentes"/>
                    <Separator />
                    <MenuItem Header="_Kilépés" Click="MenuClick_Kilepes"/>
                </MenuItem>
                <MenuItem Header="_Pont" x:Name="x_pontMenuItem">
                    <MenuItem Header="_Invertálás" Click="MenuClick_Pont_Invertalas"  />
                    <MenuItem Header="_Grayscale konverzió" Click="MenuClick_Pont_Grayscale" />
                    <MenuItem Header="Intenzitás szintre _vágás">
                        <MenuItem Header="_1. Normál" Click="MenuClick_Pont_IntenzitasSzintreVagas_Normal" />
                        <MenuItem Header="_2. Dupla küszöbölés" Click="MenuClick_Pont_IntenzitasSzintreVagas_DuplaKuszoboles" />
                    </MenuItem>
                    <MenuItem Header="Kontraszt _nyújtás">
                        <MenuItem Header="_1. Bináris (küszöbölés)" Click="MenuClick_Pont_KontrasztNyujtas_Binaris" />
                        <MenuItem Header="_2. Skálázó" Click="MenuClick_Pont_KontrasztNyujtas_Skalazo" />
                    </MenuItem>
                    <MenuItem Header="K_ontraszt állítás" Click="MenuClick_Pont_KontrasztAllitas" />
                    <MenuItem Header="_Logaritmikus skálázás" Click="MenuClick_Pont_LogaritmikusSkalazas" />
                    <MenuItem Header="_Gamma korrekció" Click="MenuClick_Pont_GammaKorrekcio" />
                    <MenuItem Header="_Bitsíkonkénti vágás" Click="MenuClick_Pont_BitSikonkentiVagas" />
                    <MenuItem Header="_Hibadiffúzió" Click="MenuClick_Pont_Hibadiffuzio"/>
                </MenuItem>
                <MenuItem Header="_Hisztogram"  x:Name="x_histMenuItem">
                    <MenuItem Header="_Normál hisztogram generálás" Click="MenuClick_His_NormalHisztogramGeneralas"/>
                    <MenuItem Header="_Halmozott hisztogram generálás" Click="MenuClick_His_HalmozottHisztogramGeneralas" />
                    <MenuItem Header="_Normalizált hisztogram generálás" Click="MenuClick_His_NormalizaltHisztogramGeneralas" />
                    <MenuItem Header="Normalizált _halmozott hisztogram generálás" Click="MenuClick_His_NormalizaltHalmozottHisztogramGeneralas" />
                    <Separator />
                    <MenuItem Header="Hisztogram _széthúzás" Click="MenuClick_His_HisztogramSzethuzas" />
                    <MenuItem Header="_Kontraszt széthúzás" Click="MenuClick_His_KontrasztSzethuzas" />
                    <MenuItem Header="Hisztogram kie_gyenlítés" Click="MenuClick_His_HisztogramKiegyenlites" />
                </MenuItem>
                <MenuItem Header="_Egész képes">
                    <MenuItem Header="_AND (és)" Click="MenuClick_EgeszKep_AND" />
                    <MenuItem Header="_OR (vagy)" Click="MenuClick_EgeszKep_OR" />
                    <MenuItem Header="A_VG (átlag)" Click="MenuClick_EgeszKep_AVG" />
                    <MenuItem Header="A_DD (összeadás)" Click="MenuClick_EgeszKep_ADD" />
                    <MenuItem Header="_SUB (kivonás)" Click="MenuClick_EgeszKep_SUB" />
                    <Separator/>
                    <MenuItem Header="El_tolás" Click="MenuClick_Geom_Eltolas" />
                    <MenuItem Header="Át_méretezés" Click="MenuClick_Geom_Atmeretezes" />
                    <MenuItem Header="_Forgatás" Click="MenuClick_Geom_Forgatas" />
                </MenuItem>
                <MenuItem Header="_Szűrés">
                    <MenuItem Header="Átlagoló szűrő" Click="MenuClick_Szuro_Atlagolo" />
                    <MenuItem Header="Medián szűrő" Click="MenuClick_Szuro_Median" />
                    <MenuItem Header="Gauss szűrő" Click="MenuClick_Szuro_Gauss" />
                    <MenuItem Header="Élesítés" Click="MenuClick_Szuro_Elesites" />
                    <MenuItem Header="Harris sarokpont detektor" Click="MenuClick_Szuro_HarrisSarokDetektor" />
                </MenuItem>
                <MenuItem Header="Beállítások">
                    <MenuItem IsCheckable="True" x:Name="TesztModChecker" Header="Teszt mód" Checked="MenuClick_Beallitasok_TesztModChange" Unchecked="MenuClick_Beallitasok_TesztModChange"/>
                    <MenuItem Header="Tesztek számának beállítása..." Click="MenuClick_Beallitasok_TesztekSzamanakBeallitasa"/>
                </MenuItem>
                <MenuItem Header="_Súgó">
                    <MenuItem Header="_Névjegy" Click="MenuClick_Nevjegy"></MenuItem>
                </MenuItem>
            </Menu>
            <StatusBar DockPanel.Dock="Bottom" Height="23">
                <StatusBarItem x:Name="statusCoordsRGBs">
                    <!-- Mutatott koordináta értékei -->
                    <Label x:Name="statusValues" Content="X:      Y:       R:      G:      B:" Padding="5,0,0,0"/>
                </StatusBarItem>
                <StatusBarItem x:Name="statusTime" HorizontalAlignment="Right">
                    <!-- Betöltési idő -->
                    <Label Content="0 ms." Padding="0,0,3,0"/>
                </StatusBarItem>
            </StatusBar>
            <Grid x:Name="midSectionGrid">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="262*"/>
                    <ColumnDefinition Width="499*"/>
                </Grid.ColumnDefinitions>
                <ScrollViewer x:Name="scroller" HorizontalScrollBarVisibility="Visible" Grid.ColumnSpan="2">
                    <Image x:Name="image" HorizontalAlignment="Center" VerticalAlignment="Center" MouseMove="image_MouseMove" Visibility="Collapsed" Stretch="Fill" />
                </ScrollViewer>
            </Grid>
        </DockPanel>
    </Grid>
</Window>
